Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.guids
Class HighLowGUIDDispenser

    java.lang.Object
      com.ejie.r01f.guids.HighLowGUIDDispenser

All Implemented Interfaces:
  GUIDDispenser

public class HighLowGUIDDispenser
extends java.lang.Object
implements GUIDDispenser

Maneja un GUID en base a un valor HIGH, un valor LOW que se incrementa localmente y un identificador unico de dominio: HIGH + LOW + UniqueID El GUIDDispenser puede utilizarse en los siguientes casos: CASO 1: Los GUIDs generados han de ser unicos SIEMPRE ----------------------------------------------------- En este caso hay que almacenar el valor HIGH en base de datos ya que si se reinicia el dispenser (reinicio de la maquina, etc) el siguiente guid ha de ser unico y para ello el valor de high ha de guardarse... Un ejemplo de este caso son los oid de los objetos que van a utilizarse como clave primaria de las tablas en bd CASO 2: Los UIDs generados han de ser unicos EN LA SESION --------------------------------------------------------- En este caso no importa que si se reinicia el dispense (reinicio de la maquina, etc) se repitan GUIDs. Un ejemplo de este caso son los identificadores de token para las peticiones de paginas html.

Constructor Summary
`HighLowGUIDDispenser(GUIDDispenserDef newDispDef)` Constructor de un guidDispenser

Method Summary
`java.lang.String` | `getGUID()` Devuelve el siguiente GUID

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighLowGUIDDispenser

    public HighLowGUIDDispenser(GUIDDispenserDef newDispDef)
                         throws GUIDDispenserException

  Constructor de un guidDispenser

Method Detail

### getGUID

    public java.lang.String getGUID()
                             throws GUIDDispenserException

  Devuelve el siguiente GUID

  Specified by:
    `getGUID` in interface `GUIDDispenser`
  Returns:
    el guid generado
  Throws:
    `GUIDDispenserException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD